<ng-container *transloco="let t; read: 'clearances'">
  <div class="expanded-details-container">
    <div class="two-column-grid">
      <div class="item-grid">
        <span class="info-header">{{t('product_name')}}:</span>
        <span>{{clearanceItem?.product_name}}</span>
      </div>
      <div class="item-grid">
        <span class="info-header">{{t('release_date')}}:</span>
        <span>{{clearanceItem?.product_release_at|productReleaseAt:clearanceItem?.product_release_at_precision:LANGUAGE.DE}}</span>
      </div>
    </div>
    <div  class="item-grid">
      <span class="info-header">{{t('description')}}:</span>
      <span class="description">{{clearanceItem?.description|translate:t('not_available')}}</span>
    </div>
    <div class="item-grid">
      <span class="info-header">{{t('info_reference')}}:</span>
      <ng-container *ngIf="clearanceItem?.info_source_type === INFO_SOURCE_TYPE.PUBLIC_WEBSITE; else noContent">
        <span>
          <li *ngFor="let content of clearanceItem?.info_source_content" class="text-clamp">
            <span *ngIf="content.label">{{content.label|translate}}&nbsp;</span>
            <a
              [href]="content.reference_url"
              target="_blank"
              rel="noopener noreferrer">
              {{content.reference_url}}
            </a>
          </li>
        </span>
      </ng-container>
      <ng-template #noContent>
        <span>{{t('not_available')}}</span>
      </ng-template>
    </div>
    <div class="two-column-grid">
      <div class="item-grid">
        <span class="info-header">{{t('info_updated_at_th')}}:</span>
        <span>{{clearanceItem?.info_updated_at | dateCorrection | date: 'dd.MM.yyyy' }}</span>
      </div>
      <div class="item-grid">
        <span class="info-header">{{t('info_provider')}}:</span>
        <span>{{clearanceItem?.info_provider === INFO_PROVIDER.ORGANIZATION ? clearanceItem?.organization?.organization_name ?? clearanceItem?.info_provider : clearanceItem?.info_provider}}</span>
      </div>
    </div>
  </div>
</ng-container>
